summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-05-23 11:25:34 +0200
committerHolger Levsen <holger@layer-acht.org>2015-05-23 11:25:34 +0200
commite4288934c4e3b734468c9112f5692a7d502f2230 (patch)
tree77c43dc0ee46eb8802255e357ab056b95f438022 /bin/reproducible_build.sh
parent8b4a486387f61481c481c5ea243b216da0332ea0 (diff)
downloadjenkins.debian.net-e4288934c4e3b734468c9112f5692a7d502f2230.tar.xz
reproducible: make get_source_package() more robust
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index ec7acff6..4962c3c2 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -352,9 +352,10 @@ init() {
}
get_source_package() {
+ local RESULT
schroot --directory $PWD -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source source ${SRCPACKAGE} 2>&1 | tee -a ${RBUILDLOG}
- local RESULT=$?
- if [ $RESULT != 0 ] ; then
+ RESULT=$?
+ if [ $RESULT != 0 ] || [ ! $(ls ${SRCPACKAGE}_*.dsc > /dev/null) ] ; then
# sometimes apt-get cannot download a package for whatever reason.
# if so, wait some time and try again. only if that fails, give up.
echo "Download of ${SRCPACKAGE} sources from ${SUITE} failed." | tee -a ${RBUILDLOG}
@@ -364,7 +365,9 @@ get_source_package() {
schroot --directory $PWD -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source source ${SRCPACKAGE} 2>&1 | tee -a ${RBUILDLOG}
RESULT=$?
fi
- if [ $RESULT != 0 ] ; then handle_404 ; fi
+ if [ $RESULT != 0 ] || [ ! $(ls ${SRCPACKAGE}_*.dsc > /dev/null) ] ; then
+ handle_404
+ fi
}
check_suitability() {